<?php
$tdatasupplier = array();
$tdatasupplier[".searchableFields"] = array();
$tdatasupplier[".ShortName"] = "supplier";
$tdatasupplier[".OwnerID"] = "";
$tdatasupplier[".OriginalTable"] = "supplier";


$tdatasupplier[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatasupplier[".originalPagesByType"] = $tdatasupplier[".pagesByType"];
$tdatasupplier[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatasupplier[".originalPages"] = $tdatasupplier[".pages"];
$tdatasupplier[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatasupplier[".originalDefaultPages"] = $tdatasupplier[".defaultPages"];

//	field labels
$fieldLabelssupplier = array();
$fieldToolTipssupplier = array();
$pageTitlessupplier = array();
$placeHolderssupplier = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelssupplier["English"] = array();
	$fieldToolTipssupplier["English"] = array();
	$placeHolderssupplier["English"] = array();
	$pageTitlessupplier["English"] = array();
	$fieldLabelssupplier["English"]["SupplierID"] = "Supplier ID";
	$fieldToolTipssupplier["English"]["SupplierID"] = "";
	$placeHolderssupplier["English"]["SupplierID"] = "";
	$fieldLabelssupplier["English"]["BusinessNam"] = "ຊື່ທຸລະກິດ";
	$fieldToolTipssupplier["English"]["BusinessNam"] = "";
	$placeHolderssupplier["English"]["BusinessNam"] = "";
	$fieldLabelssupplier["English"]["ContactName"] = "ຊື່ຜູ້ຕິດຕໍ່";
	$fieldToolTipssupplier["English"]["ContactName"] = "";
	$placeHolderssupplier["English"]["ContactName"] = "";
	$fieldLabelssupplier["English"]["Tel"] = "ເບີໂທ";
	$fieldToolTipssupplier["English"]["Tel"] = "";
	$placeHolderssupplier["English"]["Tel"] = "";
	$fieldLabelssupplier["English"]["Email"] = "Email";
	$fieldToolTipssupplier["English"]["Email"] = "";
	$placeHolderssupplier["English"]["Email"] = "";
	$fieldLabelssupplier["English"]["Address"] = "ທີ່ຢູ່";
	$fieldToolTipssupplier["English"]["Address"] = "";
	$placeHolderssupplier["English"]["Address"] = "";
	if (count($fieldToolTipssupplier["English"]))
		$tdatasupplier[".isUseToolTips"] = true;
}


	$tdatasupplier[".NCSearch"] = true;



$tdatasupplier[".shortTableName"] = "supplier";
$tdatasupplier[".nSecOptions"] = 0;

$tdatasupplier[".mainTableOwnerID"] = "";
$tdatasupplier[".entityType"] = 0;
$tdatasupplier[".connId"] = "eflejob_at_localhost";


$tdatasupplier[".strOriginalTableName"] = "supplier";

	



$tdatasupplier[".showAddInPopup"] = false;

$tdatasupplier[".showEditInPopup"] = false;

$tdatasupplier[".showViewInPopup"] = false;

	$tdatasupplier[".listAjax"] = true;
//	temporary
//$tdatasupplier[".listAjax"] = false;

	$tdatasupplier[".audit"] = false;

	$tdatasupplier[".locking"] = false;


$pages = $tdatasupplier[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatasupplier[".edit"] = true;
	$tdatasupplier[".afterEditAction"] = 1;
	$tdatasupplier[".closePopupAfterEdit"] = 1;
	$tdatasupplier[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatasupplier[".add"] = true;
$tdatasupplier[".afterAddAction"] = 1;
$tdatasupplier[".closePopupAfterAdd"] = 1;
$tdatasupplier[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatasupplier[".list"] = true;
}



$tdatasupplier[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatasupplier[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatasupplier[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatasupplier[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatasupplier[".printFriendly"] = true;
}



$tdatasupplier[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatasupplier[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatasupplier[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatasupplier[".isUseAjaxSuggest"] = true;



			

$tdatasupplier[".ajaxCodeSnippetAdded"] = false;

$tdatasupplier[".buttonsAdded"] = false;

$tdatasupplier[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasupplier[".isUseTimeForSearch"] = false;


$tdatasupplier[".badgeColor"] = "DC143C";


$tdatasupplier[".allSearchFields"] = array();
$tdatasupplier[".filterFields"] = array();
$tdatasupplier[".requiredSearchFields"] = array();

$tdatasupplier[".googleLikeFields"] = array();
$tdatasupplier[".googleLikeFields"][] = "SupplierID";
$tdatasupplier[".googleLikeFields"][] = "BusinessNam";
$tdatasupplier[".googleLikeFields"][] = "ContactName";
$tdatasupplier[".googleLikeFields"][] = "Tel";
$tdatasupplier[".googleLikeFields"][] = "Email";
$tdatasupplier[".googleLikeFields"][] = "Address";



$tdatasupplier[".tableType"] = "list";

$tdatasupplier[".printerPageOrientation"] = 0;
$tdatasupplier[".nPrinterPageScale"] = 100;

$tdatasupplier[".nPrinterSplitRecords"] = 40;

$tdatasupplier[".geocodingEnabled"] = false;










$tdatasupplier[".pageSize"] = 20;

$tdatasupplier[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatasupplier[".strOrderBy"] = $tstrOrderBy;

$tdatasupplier[".orderindexes"] = array();


$tdatasupplier[".sqlHead"] = "SELECT SupplierID,  	BusinessNam,  	ContactName,  	Tel,  	Email,  	Address";
$tdatasupplier[".sqlFrom"] = "FROM supplier";
$tdatasupplier[".sqlWhereExpr"] = "";
$tdatasupplier[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasupplier[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasupplier[".arrGroupsPerPage"] = $arrGPP;

$tdatasupplier[".highlightSearchResults"] = true;

$tableKeyssupplier = array();
$tableKeyssupplier[] = "SupplierID";
$tdatasupplier[".Keys"] = $tableKeyssupplier;


$tdatasupplier[".hideMobileList"] = array();




//	SupplierID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "SupplierID";
	$fdata["GoodName"] = "SupplierID";
	$fdata["ownerTable"] = "supplier";
	$fdata["Label"] = GetFieldLabel("supplier","SupplierID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "SupplierID";

		$fdata["sourceSingle"] = "SupplierID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SupplierID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier["SupplierID"] = $fdata;
		$tdatasupplier[".searchableFields"][] = "SupplierID";
//	BusinessNam
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "BusinessNam";
	$fdata["GoodName"] = "BusinessNam";
	$fdata["ownerTable"] = "supplier";
	$fdata["Label"] = GetFieldLabel("supplier","BusinessNam");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "BusinessNam";

		$fdata["sourceSingle"] = "BusinessNam";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "BusinessNam";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier["BusinessNam"] = $fdata;
		$tdatasupplier[".searchableFields"][] = "BusinessNam";
//	ContactName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ContactName";
	$fdata["GoodName"] = "ContactName";
	$fdata["ownerTable"] = "supplier";
	$fdata["Label"] = GetFieldLabel("supplier","ContactName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "ContactName";

		$fdata["sourceSingle"] = "ContactName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ContactName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier["ContactName"] = $fdata;
		$tdatasupplier[".searchableFields"][] = "ContactName";
//	Tel
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Tel";
	$fdata["GoodName"] = "Tel";
	$fdata["ownerTable"] = "supplier";
	$fdata["Label"] = GetFieldLabel("supplier","Tel");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Tel";

		$fdata["sourceSingle"] = "Tel";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Tel";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier["Tel"] = $fdata;
		$tdatasupplier[".searchableFields"][] = "Tel";
//	Email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Email";
	$fdata["GoodName"] = "Email";
	$fdata["ownerTable"] = "supplier";
	$fdata["Label"] = GetFieldLabel("supplier","Email");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Email";

		$fdata["sourceSingle"] = "Email";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier["Email"] = $fdata;
		$tdatasupplier[".searchableFields"][] = "Email";
//	Address
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Address";
	$fdata["GoodName"] = "Address";
	$fdata["ownerTable"] = "supplier";
	$fdata["Label"] = GetFieldLabel("supplier","Address");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Address";

		$fdata["sourceSingle"] = "Address";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Address";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier["Address"] = $fdata;
		$tdatasupplier[".searchableFields"][] = "Address";


$tables_data["supplier"]=&$tdatasupplier;
$field_labels["supplier"] = &$fieldLabelssupplier;
$fieldToolTips["supplier"] = &$fieldToolTipssupplier;
$placeHolders["supplier"] = &$placeHolderssupplier;
$page_titles["supplier"] = &$pageTitlessupplier;


changeTextControlsToDate( "supplier" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["supplier"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["supplier"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_supplier()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "SupplierID,  	BusinessNam,  	ContactName,  	Tel,  	Email,  	Address";
$proto0["m_strFrom"] = "FROM supplier";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "SupplierID",
	"m_strTable" => "supplier",
	"m_srcTableName" => "supplier"
));

$proto6["m_sql"] = "SupplierID";
$proto6["m_srcTableName"] = "supplier";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "BusinessNam",
	"m_strTable" => "supplier",
	"m_srcTableName" => "supplier"
));

$proto8["m_sql"] = "BusinessNam";
$proto8["m_srcTableName"] = "supplier";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ContactName",
	"m_strTable" => "supplier",
	"m_srcTableName" => "supplier"
));

$proto10["m_sql"] = "ContactName";
$proto10["m_srcTableName"] = "supplier";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Tel",
	"m_strTable" => "supplier",
	"m_srcTableName" => "supplier"
));

$proto12["m_sql"] = "Tel";
$proto12["m_srcTableName"] = "supplier";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Email",
	"m_strTable" => "supplier",
	"m_srcTableName" => "supplier"
));

$proto14["m_sql"] = "Email";
$proto14["m_srcTableName"] = "supplier";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Address",
	"m_strTable" => "supplier",
	"m_srcTableName" => "supplier"
));

$proto16["m_sql"] = "Address";
$proto16["m_srcTableName"] = "supplier";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "supplier";
$proto19["m_srcTableName"] = "supplier";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "SupplierID";
$proto19["m_columns"][] = "BusinessNam";
$proto19["m_columns"][] = "ContactName";
$proto19["m_columns"][] = "Tel";
$proto19["m_columns"][] = "Email";
$proto19["m_columns"][] = "Address";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "supplier";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "supplier";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="supplier";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_supplier = createSqlQuery_supplier();


	
		;

						

$tdatasupplier[".sqlquery"] = $queryData_supplier;



$tdatasupplier[".hasEvents"] = false;

?>